Bug 339351 - intel driver can not correctly handle different resolutions on a laptop and external monitor
intel driver can not correctly handle different resolutions on a laptop and e...
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-19 04:06 EDT by Zdenek Prikryl
Modified: 2009-01-09 02:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:19:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (807 bytes, application/octet-stream)
2007-10-19 09:16 EDT, Zdenek Prikryl
no flags Details
Xorg.0.log which was created by default xorg,conf (54.13 KB, text/plain)
2007-10-19 09:17 EDT, Zdenek Prikryl
no flags Details
Xorg.0.log which was created without xorg,conf (56.67 KB, text/plain)
2007-10-19 09:19 EDT, Zdenek Prikryl
no flags Details

  None (edit)
Description Zdenek Prikryl 2007-10-19 04:06:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv: Gecko/20070718 Fedora/ Firefox/

Description of problem:
If I connect external monitor to a laptop and set active both display in clone mode (xrandr --auto), then external monitor behaves like a resolution is 1600x1200, but laptop display is damaged. Physical resolution is set properly 1680x1050, but display behaves like resolution is 1600x1200, so both panels in gnome has bad width (only 1600 instead 1680) and bottom panel is not visible, because is at position around 1200 instead 1050.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.1.1-7.fc8 xorg-x11-server-utils-7.3-1.fc8

How reproducible:

Steps to Reproduce:
1. connect external monitor
2. xrandr --auto

Actual Results:
At external monitor is ok, but at laptop display has a problem. Physical resolution is set properly (1680x1050), but display behaves like the resolution is (1600x1200) which is resolution of external monitor.

Expected Results:
Laptop display behaves like a resolution is 1680x1050 and external monitor behaves like a resolution is 1600x1200.

Additional info:
It does not matter, if I set external monitor by:
xrandr --auto
xranrd --output LVDS --mode 1680x1050 --output VGA --mode 1600x1200 --same-as LVDS
The situation is same.
Comment 2 Matěj Cepl 2007-10-19 08:39:11 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Zdenek Prikryl 2007-10-19 09:16:12 EDT
Created attachment 232541 [details]
Comment 4 Zdenek Prikryl 2007-10-19 09:17:20 EDT
Created attachment 232551 [details]
Xorg.0.log which was created by default xorg,conf
Comment 5 Zdenek Prikryl 2007-10-19 09:19:34 EDT
Created attachment 232561 [details]
Xorg.0.log which was created without xorg,conf
Comment 6 Zdenek Prikryl 2007-10-19 09:21:20 EDT
Here are information that you requested.

Comment 7 Matěj Cepl 2007-10-22 15:16:10 EDT
Comment 8 Bug Zapper 2008-04-04 10:10:18 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-11-26 03:00:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2009-01-09 02:19:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.